Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006758OCamlocamldocpublic2015-01-22 14:122015-04-30 21:53
Reportermaro 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86-64OSLinux MintOS Version17
Product Version4.02.1 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006758: Ocamldoc fails with "analyse_module: parsetree and typedtree don't match"
DescriptionWhen launching ocamldoc on files which use some specific forms of module inclusion and/or aliases, ocamldoc fails with the following message:

analyse_module: parsetree and typedtree don't match.

Steps To ReproduceThe following example code should trigger the error:

module H = Set.Make(struct type t = int let compare = Pervasives.compare end)
module I = H
module J = Set.Make(I)
Additional InformationIt is often possible to sidestep the issue by removing/modifying module aliases in the affected files.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013165)
Julien Signoles (reporter)
2015-01-22 18:04

It is a regression since OCaml 4.02. It was working with prior OCaml versions.
(0013590)
doligez (administrator)
2015-03-30 18:00

I think I fixed this (branch 4.02, commit 15974).

Please test and tell me if this fixes your problem.
(0013633)
maro (reporter)
2015-04-01 19:35

Indeed, I just compiled from git (commit b026c2743f37a9d140704332c7a86c10fa9f5bfe) and in my original test case everything seems to work now.
Thank you!

- Issue History
Date Modified Username Field Change
2015-01-22 14:12 maro New Issue
2015-01-22 14:12 maro Status new => assigned
2015-01-22 14:12 maro Assigned To => guesdon
2015-01-22 18:04 Julien Signoles Note Added: 0013165
2015-03-17 23:28 doligez Target Version => 4.02.2+dev / +rc1
2015-03-30 18:00 doligez Note Added: 0013590
2015-03-30 18:00 doligez Status assigned => feedback
2015-03-30 18:00 doligez Fixed in Version => 4.02.2+dev / +rc1
2015-03-30 18:01 doligez Resolution open => fixed
2015-04-01 17:37 doligez Assigned To guesdon => doligez
2015-04-01 17:37 doligez Status feedback => assigned
2015-04-01 17:37 doligez Status assigned => feedback
2015-04-01 19:35 maro Note Added: 0013633
2015-04-01 19:35 maro Status feedback => assigned
2015-04-30 21:53 doligez Status assigned => closed
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker